{% extends "ajax/ajax.html.twig" %}
{% block title %}{{ 'Aktuelle Städte'|trans({}, 'admin')|raw }}{% endblock %}
{% block ajax %}
    <div class="row">
        <div class="cell padded rw-12">
            <ul class="tabs plain">
                <li class="tab {% if admin_tab =='towns' %}selected{% endif %}">
                    <div class="tab-link" x-ajax-href="{{ path('admin_town_list') }}"><span>{{ 'Aktuelle Städte'|trans({}, 'admin') }}</span></div>
                </li>
                <li class="tab {% if admin_tab =='old_towns' %}selected{% endif %}">
                    <div class="tab-link" x-ajax-href="{{ path('admin_old_town_list') }}"><span>{{ 'Fertige Städte'|trans({}, 'admin') }}</span></div>
                </li>
            </ul>
            <h5>{{ 'Bürger nach Sprache'|trans({}, 'admin') }}</h5>
            <div class="row">
                {% for stat in citizen_stats %}
                <div class="cell rw-2 center">
                        <img src="{{ asset("build/images/lang/" ~ stat.language ~".png") }}" alt="{{ stat.language }}" /><br />
                        {{ stat.count }}
                </div>
                {% endfor %}
            </div>
            <h5>{{ 'Liste aller Städte'|trans({},'admin') }}</h5>
            <div class="row-table">
                <div class="row header">
                    <div class="cell padded rw-1">{{ 'ID'|trans({},'admin') }}</div>
                    <div class="cell padded rw-5">{{ 'Stadtname'|trans({},'admin') }}</div>
                    <div class="cell padded rw-1">{{ 'Tag'|trans({},'admin') }}</div>
                    <div class="cell padded rw-2">{{ 'Pop.'|trans({},'admin') }}</div>
                    <div class="cell padded rw-3 right">{{ 'Aktionen'|trans({},'admin') }}</div>
                </div>
                {# @var towns \App\Entity\Town[] #}
                {% for town in towns %}
                    <div class="row">
                        <div class="cell padded rw-1">
                            {{ town.id }}<br />
                            {% if town.language is not empty %}
                                <span class="language"><img src="{{ asset("build/images/lang/" ~ town.language ~".png") }}" alt="{{ town.language }}" /></span>
                            {% endif %}
                        </div>
                        <div class="cell padded rw-5">
                            {{ town.name }}<br />
                            {% if town.attackFails >= 3 %}<span style="color: red">{{ 'Quarantäne'|trans({},'game') }}</span> {% endif %}<span class="small">{% if town.open %}<i class="fa fa-door-open"></i> {% endif %}{{ town.type.label|trans({},'game') }}</span>
                        </div>
                        <div class="cell padded rw-1">{{ town.day }}</div>
                        <div class="cell padded rw-2">
                            {{ town.citizenCount }} / {{ town.population }} {% if town.citizenCount < town.population %}<i title="{{ 'Geöffnet'|trans({},'admin') }}" class="small fa fa-door-open"></i>{% endif %}<br />
                            <span title="{{ 'Leben'|trans({},'admin') }}" class="small"><i class="fa fa-users"></i> {{ town.aliveCitizenCount }}</span> <span title="{{ 'Tot'|trans({},'admin') }}" class="small"><i class="fa fa-skull"></i> {{ town.citizenCount - town.aliveCitizenCount }}</span> <span title="{{ 'Getrennt'|trans({},'admin') }}" class="small"><i class="fa fa-user-slash"></i> {{ town.citizenCount - town.activeCitizenCount }}</span>
                        </div>
                        <div class="cell padded rw-3 right">
                            <button x-ajax-href="{{ path('admin_town_explorer', {id: town.id}) }}" class="small inline">{{ 'Details'|trans({},'admin') }}...</button>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% embed "ajax/admin/towns/footer.html.twig" with {'search_controller': 'admin_towns_fuzzyfind'} %}{% endembed %}
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
    </script>
{% endblock %}